local Addon, cInterrupt = ...

-- WOW API
local SendChatMessage = SendChatMessage
local CreateFrame = CreateFrame

-- LUA API
local format = string.format

-- ANNOUNCE YOUR INTERRUPTS
local Frame = CreateFrame("Frame")
Frame:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED")
Frame:SetScript("OnEvent", function(self, _, ...)
	local _, event, _, sourceGUID, _, _, _, _, destName, _, _, _, _, _, spellID, spellName = ...
	if not (event == "SPELL_INTERRUPT" and (sourceGUID == UnitGUID("player") or sourceGUID == UnitGUID("pet"))) then return end

	SendChatMessage(format(L.Interrupted, destName, spellID, spellName), cInterrupt.CheckChat())
end)