local Addon, cInterrupt = ...

local UnitIsGroupLeader, IsEveryoneAssistant, UnitIsGroupAssistant = UnitIsGroupLeader, IsEveryoneAssistant, UnitIsGroupAssistant
local IsInGroup, IsInRaid = IsInGroup, IsInRaid

-- CHECKCHAT FUNCTION(C:SHESTAKUI)
cInterrupt.CheckChat = function(warning)
	if IsInGroup(LE_PARTY_CATEGORY_INSTANCE) then
		return "INSTANCE_CHAT"
	elseif IsInRaid(LE_PARTY_CATEGORY_HOME) then
		if warning and (UnitIsGroupLeader("player") or UnitIsGroupAssistant("player") or IsEveryoneAssistant()) then
			return "RAID_WARNING"
		else
			return "RAID"
		end
	elseif IsInGroup(LE_PARTY_CATEGORY_HOME) then
		return "PARTY"
	end
	return "SAY"
end